Subject: Re: [PATCH 00/10] l2tp: misc fixes and add L2TPv3 IP encap over IPv6

From: Benjamin LaHaise <[email-masked]>
Date: Mon, 23 Apr 2012 09:06:35 -0400

On Mon, Apr 23, 2012 at 10:21:23AM +0100, James Chapman wrote:
> Ok.
> 
> Ben, if I can help with the loopback checksum issue, please let me know.

The fix is pretty simple; in l2tp_xmit_ipv6_csum, change CHECKSUM_COMPLETE 
to CHECKSUM_UNNECESSARY (or CHECKSUM_NONE), as that will prevent the 
incoming sk_buff's ->csum value from being used (it's not correct).  I'm 
travelling at the moment, so I may not have time to respin the patch until 
Wednesday, but if I can, I will try to find the time this evening. 

		-ben
-- 
"Thought is the essence of where you are now."